Package org.drinkless.tdlib

# Class TdApi.UpdateBusinessMessageEdited

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateBusinessMessageEdited

Enclosing class:
  `TdApi`

public static class TdApi.UpdateBusinessMessageEdited extends TdApi.Update
A message in a business account was edited; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `connectionId`
  Unique identifier of the business connection.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BusinessMessage`
  `message`
  The edited message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateBusinessMessageEdited()`
  A message in a business account was edited; for bots only.
  `UpdateBusinessMessageEdited(String connectionId, TdApi.BusinessMessage message)`
  A message in a business account was edited; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### connectionId

    public String connectionId
    Unique identifier of the business connection.

  - ### message

    public TdApi.BusinessMessage message
    The edited message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateBusinessMessageEdited

    public UpdateBusinessMessageEdited()
    A message in a business account was edited; for bots only.

  - ### UpdateBusinessMessageEdited

    public UpdateBusinessMessageEdited(String connectionId, TdApi.BusinessMessage message)
    A message in a business account was edited; for bots only.
    Parameters:
      `connectionId` - Unique identifier of the business connection.
      `message` - The edited message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR